- if action_name == 'edit'
  %button.navbar-toggler.my-2{ toggle_switch_settings('change-password') }
    = t('.change_pw')
  .collapse#change-password
    = render 'devise/shared/set_password', f: f, pw_length: pw_length

  .field.mt-3
    %i= f.label t('.confirm_changes')
    = f.password_field :current_password, autocomplete: 'current-password', class: 'form-control'

- elsif devise_mapping.confirmable? && resource.pending_reconfirmation?
  %div
    #{t('waiting_confirmation')} #{resource.unconfirmed_email}

- else
  = render 'devise/shared/set_password', f: f, pw_length: pw_length
